Page MenuHomePhabricator

[[MediaWiki:Tsb-reject-confirmation/en]] needs GENDER support for singular 'User'
Open, Stalled, LowPublic

Event Timeline

Macofe created this task.Mar 7 2017, 11:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2017, 11:26 PM
Nikerabbit triaged this task as Low priority.Mar 8 2017, 6:29 AM
Nikerabbit added a project: good first bug.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMar 8 2017, 6:29 AM
TerraCodes closed this task as Resolved.Apr 14 2017, 8:44 PM
TerraCodes claimed this task.

Already done

"tsb-reject-confirmation": "{{PLURAL:$1|User|Users}} rejected",
"tsb-accept-confirmation": "{{PLURAL:$1|User|Users}} accepted",
TerraCodes removed TerraCodes as the assignee of this task.Apr 14 2017, 8:44 PM
Liuxinyu970226 reopened this task as Open.EditedApr 15 2017, 5:20 AM
Liuxinyu970226 added a subscriber: Liuxinyu970226.

Already done

"tsb-reject-confirmation": "{{PLURAL:$1|User|Users}} rejected",
"tsb-accept-confirmation": "{{PLURAL:$1|User|Users}} accepted",

That's PLURAL, not GENDER, and you even should use {{PLURAL:$1|{{GENDER:$2|User}}|Users}}

When the name of the user is not listed, it should be the neutral form.

There should be no GENDER when the user name is not shown or could not derived from context (like in navigation menu of user pages)

When the name of the user is not listed, it should be the neutral form.
There should be no GENDER when the user name is not shown or could not derived from context (like in navigation menu of user pages)

Not always true, see MediaWiki:Emailuser in Spanish for example

Aklapper renamed this task from [[MediaWiki:Tsb-reject-confirmation/en]] i18n issue to [[MediaWiki:Tsb-reject-confirmation/en]] needs GENDER support for singular 'User'.Jun 29 2017, 9:53 AM

emailuser is used in navigation menu, the context is set to the user.

For a message about rejecting translation or other things there is no context and the question is why it should use gender form, when the reader does not see for which user it is.

@Nikerabbit, what's your say about this? Maybe you should throw more lights please? It can quickly be done if there is a conclusion :)

matej_suchanek changed the task status from Open to Stalled.Feb 3 2018, 1:39 PM
Amire80 moved this task from Untriaged to Gender on the I18n board.Feb 4 2018, 10:33 AM

There is a theoretical possibility that the user has updated their preference before they are accepted or rejected. But given this is a JavaScript interface, the effort to make it work (just adding GENDER to the message is not enough) is very high compared to the potential benefits.